Package org.gradle.ide.visualstudio

## Interface XmlConfigFile

- All Superinterfaces:
    `ConfigFile`

      @Incubating
      public interface XmlConfigFile
      extends ConfigFile

  An XML config file generated for Visual Studio.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `withXml​(Action<? super XmlProvider> action)` | Add an action that can manipulate the generated file content.

    - ### Methods inherited from interface org.gradle.ide.visualstudio.ConfigFile

      `getLocation, setLocation`

- - ### Method Detail

    - #### withXml

          void withXml​(Action<? super XmlProvider> action)

      Add an action that can manipulate the generated file content.